Package com.collibra.dgc.core.api.model.assignment

# Interface TraitAssignment

All Superinterfaces:
  `Entity`, `Resource`, `Serializable`

public interface TraitAssignment extends Resource
Represents a trait assignment.

A trait assignment is a collection of assigned characteristics which apply to a given scope which is represented by the reference to the asset type it refers and might be limited to some subset of communities and/or domains.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<AssignedRelationType>`
  `getAssignedRelationTypes()`
  Returns only assigned characteristic types which are relation types.
  `List<? extends AssignedCharacteristicType>`
  `getCharacteristicTypes()`
  Returns the list of assigned characteristic types (resourceDiscriminator: attribute types, relation types and complex relation types).
  `Scope`
  `getScope()`
  Returns the scope contained by the assignment.
  `NamedResourceReference`
  `getTrait()`
  Returns the reference to the trait the assignment applies to.

  ### Methods inherited from interface Entity

  `getId, setId`

  ### Methods inherited from interface Resource

  `getCreatedBy, getCreatedOn, getLastModifiedBy, getLastModifiedOn, getResourceType, isSystem`

- ## Method Details

  - ### getTrait

    NamedResourceReference getTrait()
    Returns the reference to the trait the assignment applies to.
    Returns:
      the reference to the trait the assignment applies to

  - ### getCharacteristicTypes

    List<? extends AssignedCharacteristicType> getCharacteristicTypes()
    Returns the list of assigned characteristic types (resourceDiscriminator: attribute types, relation types and complex relation types).
    Returns:
      the list of assigned characteristic types (attribute types, relation types and complex relation types)

  - ### getScope

    Scope getScope()
    Returns the scope contained by the assignment.
    Returns:
      the scope contained by the assignment

  - ### getAssignedRelationTypes

    List<AssignedRelationType> getAssignedRelationTypes()
    Returns only assigned characteristic types which are relation types.
    Returns:
      the assigned characteristic types which are relation types